Ask Your Question
0

LibreOffice Base SSL connection to PostgreSQL (Linux) [closed]

asked 2013-02-16 00:51:37 +0200

fontanon gravatar image

updated 2015-11-09 09:47:39 +0200

Alex Kemp gravatar image

Can't perform an SSL connection with LibreOffice Base 3.6.2 to PostgreSQL 9.1 using SDBC driver on Linux.

Using the following connection string:

dbname=* host=* port=5542 user=* password=* sslmode=requiere

It fails with: "invalid connection option sslmode", and obviously if I remove the parameter if fails too because non-SSL connections aren't allowed in my PostgreSQL instance.

It's funny because sslmode parameter works on LibreOffice 4.0 over WindowsXP. What's happening?

edit retag flag offensive reopen merge delete

Closed for the following reason question is not relevant or outdated by Alex Kemp
close date 2015-11-09 09:47:59.380828

2 Answers

Sort by » oldest newest most voted
0

answered 2013-09-22 22:45:18 +0200

Ali Joumma gravatar image

you mispelled the value, it should be "sslmode=require" not "requiere"

edit flag offensive delete link more
0

answered 2013-03-19 07:39:16 +0200

qubit gravatar image

Hi @fontanon,

My first thought here is that there might be a bug in 3.6.2 that's fixed in 4.0. Is it possible for you to install the latest release on your GNU/Linux system and see if that fixes the issue you're experiencing?

If that doesn't fix the issue, perhaps there is some kind of syntax difference between the Windows and GNU/Linux builds (although I would hope that these things are standardized as much as possible!)

In any case, please try out the 4.0 build and let us know how that works!

Thanks!

edit flag offensive delete link more

Comments

@fontanon -- still experiencing a problem with 4.0?

qubit gravatar imagequbit ( 2013-04-14 15:35:53 +0200 )edit

Question Tools

Stats

Asked: 2013-02-16 00:51:37 +0200

Seen: 904 times

Last updated: Sep 22 '13